--- 
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: home
    updated_at: 2007-04-01 09:40:33
    title: Home Page
    permission_id: "3"
    id: "1"
    content: |
      h1. Welcome to Goldberg!
      
      Looks like you have succeeded in getting Goldberg up and running.  Now you will probably want to customise your site.
      
      *Very important:* The default login for the administrator is "admin", password "admin".  You must change that before you make your site public!
      
      h2. Administering the Site
      
      At the login prompt, enter an administrator username and password.  The top menu should change: a new item called "Administration" will appear.  Go there for further details.

    markup_style: Textile
    content_cache: |-
      <h1>Welcome to Goldberg!</h1>
      
      
      	<p>Looks like you have succeeded in getting Goldberg up and running.  Now you will probably want to customise your site.</p>
      
      
      	<p><strong>Very important:</strong> The default login for the administrator is &#8220;admin&#8221;, password &#8220;admin&#8221;.  You must change that before you make your site public!</p>
      
      
      	<h2>Administering the Site</h2>
      
      
      	<p>At the login prompt, enter an administrator username and password.  The top menu should change: a new item called &#8220;Administration&#8221; will appear.  Go there for further details.</p>
    created_at: 2006-06-12 00:31:56
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: expired
    updated_at: 2007-04-01 09:40:33
    title: Session Expired
    permission_id: "3"
    id: "2"
    content: |
      h1. Session Expired
      
      Your session has expired due to inactivity.
      
      To continue please login again.

    markup_style: Textile
    content_cache: |-
      <h1>Session Expired</h1>
      
      
      	<p>Your session has expired due to inactivity.</p>
      
      
      	<p>To continue please login again.</p>
    created_at: 2006-06-12 00:33:14
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: notfound
    updated_at: 2007-04-01 09:40:33
    title: Not Found!
    permission_id: "3"
    id: "3"
    content: |-
      h1. Not Found
      
      The page you requested was not found!
      
      Please contact your system administrator.
    markup_style: Textile
    content_cache: |-
      <h1>Not Found</h1>
      
      
      	<p>The page you requested was not found!</p>
      
      
      	<p>Please contact your system administrator.</p>
    created_at: 2006-06-12 00:33:49
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: denied
    updated_at: 2007-04-01 09:40:33
    title: Permission Denied!
    permission_id: "3"
    id: "4"
    content: |-
      h1. Permission Denied
      
      Sorry, but you don't have permission to view that page.
      
      Please contact your system administrator.
    markup_style: Textile
    content_cache: |-
      <h1>Permission Denied</h1>
      
      
      	<p>Sorry, but you don&#8217;t have permission to view that page.</p>
      
      
      	<p>Please contact your system administrator.</p>
    created_at: 2006-06-12 00:34:30
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: contact_us
    updated_at: 2007-04-01 09:40:33
    title: Contact Us
    permission_id: "3"
    id: "6"
    content: |
      h1. Contact Us
      
      Visit the Goldberg Project Homepage at "http://goldberg.rubyforge.org":http://goldberg.rubyforge.org for further information on Goldberg.  Visit the Goldberg RubyForge Project Info Page at "http://rubyforge.org/projects/goldberg":http://rubyforge.org/projects/goldberg to access the project's files and development information.

    markup_style: Textile
    content_cache: |-
      <h1>Contact Us</h1>
      
      
      	<p>Visit the Goldberg Project Homepage at <a href="http://goldberg.rubyforge.org">http://goldberg.rubyforge.org</a> for further information on Goldberg.  Visit the Goldberg RubyForge Project Info Page at <a href="http://rubyforge.org/projects/goldberg">http://rubyforge.org/projects/goldberg</a> to access the project&#8217;s files and development information.</p>
    created_at: 2006-06-12 10:13:47
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: site_admin
    updated_at: 2007-04-01 09:40:33
    title: Site Administration
    permission_id: "1"
    id: "8"
    content: |
      h1. Goldberg Setup
      
      This is where you will find all the Goldberg-specific administration and configuration features.  In here you can:
      
      * Set up Users.
      
      * Manage Roles and their Permissions.
      
      * Set up any Controllers and their Actions for your application.
      
      * Edit the Content Pages of the site.
      
      * Adjust Goldberg's system settings.
      
      
      h2. Users
      
      You can set up Users with a username, password and a Role.
      
      
      h2. Roles and Permissions
      
      A User's Permissions affect what Actions they can perform and what Pages they can see.  And because each Menu Item is based either on a Page or an Action, the Permissions determine what Menu Items the User can and cannot see.
      
      A Role is a set of Permissions.  Roles are assigned to Users.  Roles are hierarchical: a Role can have a parent Role; and if so it will inherit the Permissions of the parent Role, and all its parents.
      
      
      h2. Controllers and Actions
      
      To execute any Action, a user must have the appropriate Permission.  Therefore all Controllers and Actions you set up for your Rails application need to be entered here, otherwise no user will be able to execute them.
      
      You start by setting up the Controller and assigning it a Permission.  The Permission will be used as the default for any Actions invoked for that Controller.
      
      You have the option of setting up specific Actions for the Controllers.  You would want to do that if the Action were to appear as a Menu Item, or if it were to have a different level of security to the default for the Controller.
      
      
      h2. Content Pages
      
      Goldberg has a very simple CMS built in.  You can create pages to be displayed on the site, possibly in menu items.
      
      
      h2. Menu Editor
      
      Once you have set up your Controller Actions and Content Pages, you can put them into the site's menu using the Menu Editor.
      
      In the Menu Editor you can add and remove Menu Items and move them around.  The security of a Menu Item (whether the user can see it or not) depends on the Permission of the Action or Page attached to that Menu Item.
      
      h2. System Settings
      
      Go here to view and edit the settings that determine how Goldberg operates.

    markup_style: Textile
    content_cache: |-
      <h1>Goldberg Setup</h1>
      
      
      	<p>This is where you will find all the Goldberg-specific administration and configuration features.  In here you can:</p>
      
      
      	<ul>
      	<li>Set up Users.</li>
      	</ul>
      
      
      	<ul>
      	<li>Manage Roles and their Permissions.</li>
      	</ul>
      
      
      	<ul>
      	<li>Set up any Controllers and their Actions for your application.</li>
      	</ul>
      
      
      	<ul>
      	<li>Edit the Content Pages of the site.</li>
      	</ul>
      
      
      	<ul>
      	<li>Adjust Goldberg&#8217;s system settings.</li>
      	</ul>
      
      
      	<h2>Users</h2>
      
      
      	<p>You can set up Users with a username, password and a Role.</p>
      
      
      	<h2>Roles and Permissions</h2>
      
      
      	<p>A User&#8217;s Permissions affect what Actions they can perform and what Pages they can see.  And because each Menu Item is based either on a Page or an Action, the Permissions determine what Menu Items the User can and cannot see.</p>
      
      
      	<p>A Role is a set of Permissions.  Roles are assigned to Users.  Roles are hierarchical: a Role can have a parent Role; and if so it will inherit the Permissions of the parent Role, and all its parents.</p>
      
      
      	<h2>Controllers and Actions</h2>
      
      
      	<p>To execute any Action, a user must have the appropriate Permission.  Therefore all Controllers and Actions you set up for your Rails application need to be entered here, otherwise no user will be able to execute them.</p>
      
      
      	<p>You start by setting up the Controller and assigning it a Permission.  The Permission will be used as the default for any Actions invoked for that Controller.</p>
      
      
      	<p>You have the option of setting up specific Actions for the Controllers.  You would want to do that if the Action were to appear as a Menu Item, or if it were to have a different level of security to the default for the Controller.</p>
      
      
      	<h2>Content Pages</h2>
      
      
      	<p>Goldberg has a very simple <span class="caps">CMS</span> built in.  You can create pages to be displayed on the site, possibly in menu items.</p>
      
      
      	<h2>Menu Editor</h2>
      
      
      	<p>Once you have set up your Controller Actions and Content Pages, you can put them into the site&#8217;s menu using the Menu Editor.</p>
      
      
      	<p>In the Menu Editor you can add and remove Menu Items and move them around.  The security of a Menu Item (whether the user can see it or not) depends on the Permission of the Action or Page attached to that Menu Item.</p>
      
      
      	<h2>System Settings</h2>
      
      
      	<p>Go here to view and edit the settings that determine how Goldberg operates.</p>
    created_at: 2006-06-21 21:32:35
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: admin
    updated_at: 2007-04-01 09:40:33
    title: Administration
    permission_id: "1"
    id: "9"
    content: |
      h1. Site Administration
      
      This is where the administrator can set up the site.
      
      There is one menu item here by default -- "Setup":/menu/setup.  That contains all the Goldberg configuration options.
      
      You can add more menu items here to administer your application if you want, by going to "Setup, Menu Editor":/menu/setup/menus.

    markup_style: Textile
    content_cache: |-
      <h1>Site Administration</h1>
      
      
      	<p>This is where the administrator can set up the site.</p>
      
      
      	<p>There is one menu item here by default&#8212;<a href="/menu/setup">Setup</a>.  That contains all the Goldberg configuration options.</p>
      
      
      	<p>You can add more menu items here to administer your application if you want, by going to <a href="/menu/setup/menus">Setup, Menu Editor</a>.</p>
    created_at: 2006-06-26 16:47:09
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: "1"
    name: credits
    updated_at: 2007-04-01 09:40:33
    title: Credits and Licence
    permission_id: "3"
    id: "10"
    content: |
      h1. Credits and Licence
      
      Goldberg contains original material and third party material from various sources.
      
      All original material is (p) Public Domain, No Rights Reserved.  Goldberg comes with no warranty whatsoever.
      
      The copyright for any third party material remains with the original author, and the material is distributed here under the original terms.  
      
      Material has been selected from sources with licensing terms and conditions that allow use and redistribution for both personal and business purposes.  These licences include public domain, BSD-style licences, and Creative Commons licences (but *not* Creative Commons Non-Commercial).
      
      If you are an author and you believe your copyrighted material has been included in Goldberg in breach of your licensing terms and conditions, please contact Dave Nelson (urbanus at 240gl dot org).
      
      
      h2. Layouts
      
      Goldberg comes with a choice of layouts, adapted from various sources.
      
      h3. The Default
      
      The default layout is a modified version of Andreas09 by Anreas Viklund.  Andreas09 is distributed under free/unlicensed terms, with an informal request that credit be given to the original author.  The original template can be obtained from "Open Source Web Design":http://www.oswd.org/design/preview/id/2493/.
      
      Author's website: "andreasviklund.com":http://andreasviklund.com/.
      
      
      h3. "Earth Wind and Fire"
      
      Originally designed by Brett Hillesheim (brett7481 at msn dot com) and distributed under free terms (from the MadSeason website: "Every template we create is completely open source, meaning you can take it and do whatever you want with it").  The original template can be obtained from "Open Source Web Design":http://www.oswd.org/design/preview/id/2453/.
      
      Author's website: "www.madseason.co.uk":http://www.madseason.co.uk/.
      
      
      h3. "Snooker"
      
      "Snooker" is an original design and is therefore Public Domain.  It incorporates dynamic two-column layout techniques described on the "A List Apart":http://alistapart.com/articles/negativemargins website.
      
      
      h3. "Spoiled Brat"
      
      Originally designed by "Rayk Web Design":http://www.raykdesign.net/ and distributed under the terms of the "Creative Commons Attribution Share Alike":http://creativecommons.org/licenses/by-sa/2.5/legalcode licence.  The original template can be obtained from "Open Web Design":http://www.openwebdesign.org/viewdesign.phtml?id=2894/.
      
      Author's website: "www.csstinderbox.com":http://www.csstinderbox.com/.
      
      
      h2. Other Features
      
      Goldberg also contains some miscellaneous code and techniques from other sources.
      
      h3. Suckerfish Menus
      
      The three templates "Earth Wind and Fire", "Snooker" and "Spoiled Brat" have all been configured to use Suckerfish menus.  This technique of using a combination of CSS and Javascript to implement dynamic menus was first described by "A List Apart":http://www.alistapart.com/articles/dropdowns/.  Goldberg's implementation also incorporates techniques described by "HTMLDog":http://www.htmldog.com/articles/suckerfish/dropdowns/.
      
      h3. Tabbed Panels
      
      Goldberg's implementation of tabbed panels was adapted from 
      "InternetConnection":http://support.internetconnection.net/CODE_LIBRARY/Javascript_Show_Hide.shtml.

    markup_style: Textile
    content_cache: |-
      <h1>Credits and Licence</h1>
      
      
      	<p>Goldberg contains original material and third party material from various sources.</p>
      
      
      	<p>All original material is (p) Public Domain, No Rights Reserved.  Goldberg comes with no warranty whatsoever.</p>
      
      
      	<p>The copyright for any third party material remains with the original author, and the material is distributed here under the original terms.</p>
      
      
      	<p>Material has been selected from sources with licensing terms and conditions that allow use and redistribution for both personal and business purposes.  These licences include public domain, <span class="caps">BSD</span>-style licences, and Creative Commons licences (but <strong>not</strong> Creative Commons Non-Commercial).</p>
      
      
      	<p>If you are an author and you believe your copyrighted material has been included in Goldberg in breach of your licensing terms and conditions, please contact Dave Nelson (urbanus at 240gl dot org).</p>
      
      
      	<h2>Layouts</h2>
      
      
      	<p>Goldberg comes with a choice of layouts, adapted from various sources.</p>
      
      
      	<h3>The Default</h3>
      
      
      	<p>The default layout is a modified version of Andreas09 by Anreas Viklund.  Andreas09 is distributed under free/unlicensed terms, with an informal request that credit be given to the original author.  The original template can be obtained from <a href="http://www.oswd.org/design/preview/id/2493/">Open Source Web Design</a>.</p>
      
      
      	<p>Author&#8217;s website: <a href="http://andreasviklund.com/">andreasviklund.com</a>.</p>
      
      
      	<h3>&#8220;Earth Wind and Fire&#8221;</h3>
      
      
      	<p>Originally designed by Brett Hillesheim (brett7481 at msn dot com) and distributed under free terms (from the MadSeason website: &#8220;Every template we create is completely open source, meaning you can take it and do whatever you want with it&#8221;).  The original template can be obtained from <a href="http://www.oswd.org/design/preview/id/2453/">Open Source Web Design</a>.</p>
      
      
      	<p>Author&#8217;s website: <a href="http://www.madseason.co.uk/">www.madseason.co.uk</a>.</p>
      
      
      	<h3>&#8220;Snooker&#8221;</h3>
      
      
      	<p>&#8220;Snooker&#8221; is an original design and is therefore Public Domain.  It incorporates dynamic two-column layout techniques described on the <a href="http://alistapart.com/articles/negativemargins">A List Apart</a> website.</p>
      
      
      	<h3>&#8220;Spoiled Brat&#8221;</h3>
      
      
      	<p>Originally designed by <a href="http://www.raykdesign.net/">Rayk Web Design</a> and distributed under the terms of the <a href="http://creativecommons.org/licenses/by-sa/2.5/legalcode">Creative Commons Attribution Share Alike</a> licence.  The original template can be obtained from <a href="http://www.openwebdesign.org/viewdesign.phtml?id=2894/">Open Web Design</a>.</p>
      
      
      	<p>Author&#8217;s website: <a href="http://www.csstinderbox.com/">www.csstinderbox.com</a>.</p>
      
      
      	<h2>Other Features</h2>
      
      
      	<p>Goldberg also contains some miscellaneous code and techniques from other sources.</p>
      
      
      	<h3>Suckerfish Menus</h3>
      
      
      	<p>The three templates &#8220;Earth Wind and Fire&#8221;, &#8220;Snooker&#8221; and &#8220;Spoiled Brat&#8221; have all been configured to use Suckerfish menus.  This technique of using a combination of <span class="caps">CSS</span> and Javascript to implement dynamic menus was first described by <a href="http://www.alistapart.com/articles/dropdowns/">A List Apart</a>.  Goldberg&#8217;s implementation also incorporates techniques described by <a href="http://www.htmldog.com/articles/suckerfish/dropdowns/">HTMLDog</a>.</p>
      
      
      	<h3>Tabbed Panels</h3>
      
      
      	<p>Goldberg&#8217;s implementation of tabbed panels was adapted from 
      <a href="http://support.internetconnection.net/CODE_LIBRARY/Javascript_Show_Hide.shtml">InternetConnection</a>.</p>
    created_at: 2006-10-02 10:35:35
- !ruby/object:Goldberg::ContentPage 
  attributes: 
    markup_style_id: 
    name: unconfirmed
    updated_at: 2007-04-01 10:37:42
    title: Not Permitted
    permission_id: "3"
    id: "11"
    content: |
      h1. Not Permitted
      
      Sorry, but you are not allowed to log into the site until your registration has been confirmed.
      
      If there is an issue please contact the system administrator.

    markup_style: Textile
    content_cache: |-
      <h1>Not Permitted</h1>
      
      
      	<p>Sorry, but you are not allowed to log into the site until your registration has been confirmed.</p>
      
      
      	<p>If there is an issue please contact the system administrator.</p>
    created_at: 2007-04-01 10:37:42
